- Qt 5.5
- Qt3D Module
- C++ Classes
- NullSystemInformationService
- Qt 5.5.1 Reference Documentation

# NullSystemInformationService Class

(Qt3D::NullSystemInformationService)

Inherits: | QSystemInformationService

- List of all members, including inherited members

## Public Functions

| NullSystemInformationService()
| ~NullSystemInformationService()

## Reimplemented Public Functions

virtual QStringList | aspectNames() const
virtual int | threadPoolThreadCount() const

- 2 public functions inherited from Qt3D::QSystemInformationService
- 2 public functions inherited from Qt3D::QAbstractServiceProvider

## Member Function Documentation

### NullSystemInformationService::NullSystemInformationService()

### NullSystemInformationService::~NullSystemInformationService()

### `[virtual]` QStringList NullSystemInformationService::aspectNames() const

### `[virtual]` int NullSystemInformationService::threadPoolThreadCount() const